(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6525,        182]
NotebookOptionsPosition[      6226,        169]
NotebookOutlinePosition[      6571,        184]
CellTagsIndexPosition[      6528,        181]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Here", " ", "we", " ", "calibrate", " ", "the", " ", "relevant", " ", 
    "parameters", " ", "in", " ", "the", " ", "case", " ", "of", " ", "a", 
    " ", "CRS", " ", "production", " ", "function", " ", "in", " ", "the", 
    " ", "banking", " ", "sector"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Print", "[", "\"\<discount factor\>\"", "]"}], "\n", 
   RowBox[{"beta", "=", "0.96"}], "\[IndentingNewLine]", 
   RowBox[{
   "Print", "[", "\"\<delta, exponent in mkt1 utility function\>\"", "]"}], 
   "\n", 
   RowBox[{"delta", " ", "=", "0.99999"}], "\[IndentingNewLine]", 
   RowBox[{
   "Print", "[", "\"\< b, constant in mkt1 utility function\>\"", "]"}], "\n", 
   RowBox[{"b", "=", " ", "0.00001"}], "\[IndentingNewLine]", 
   RowBox[{
   "Print", "[", "\"\< psi, exponent in mkt1 cost function\>\"", "]"}], "\n", 
   RowBox[{"psi", "=", "1.1"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\< vel, calibrated money velocity\>\"", "]"}], 
   "\n", 
   RowBox[{"vel", "=", " ", "5.8956"}], "\n", 
   RowBox[{"Print", "[", "\"\<epsilon, estimated elasticity\>\"", "]"}], "\n", 
   RowBox[{"epsilon", "=", 
    RowBox[{"-", "0.112270925"}]}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<spread rH-r\>\"", "]"}], "\n", 
   RowBox[{"spread", "=", "0.0188478261"}], "\n", 
   RowBox[{"Print", "[", "\"\<A\>\"", "]"}], "\n", 
   RowBox[{"A", "=", 
    RowBox[{"1", "/", "spread"}]}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<int on t bill, annual\>\"", "]"}], "\n", 
   RowBox[{"int", "=", "0.037"}], "\n", 
   RowBox[{
   "Print", "[", 
    "\"\<Solve for alpha, nn, DD  - alpha is the prob. of being a buyer in \
mkt 1, nn is labor in the production sector in mkt 1, DD is the constant in \
front of mkt 2 utility function\>\"", "]"}], "\n", 
   StyleBox[
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "-", "alpha", "+", 
          RowBox[{"DD", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"nn", "^", "psi"}], ")"}], "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "alpha"}], ")"}], "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"A", "+", "1", "-", "alpha"}], ")"}], "/", "A"}], 
                ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"psi", "-", "1"}], ")"}]}], ")"}]}], ")"}]}], "-", 
          "vel"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", "alpha"}], ")"}], "*", "nn"}], ")"}], "/", 
              "alpha"}], "+", "b"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"-", "delta"}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", "int", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "alpha"}], ")"}], "/", "A"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"A", "+", "1", "-", "alpha"}], ")"}], "*", "nn"}], 
               ")"}], "/", "A"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"psi", "-", "1"}], ")"}]}]}]}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"int", "*", 
                RowBox[{"nn", "^", 
                 RowBox[{"(", 
                  RowBox[{"psi", "-", "2"}], ")"}]}]}], ")"}], "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"A", "+", "1", "-", "alpha"}], ")"}], "/", "A"}], 
                  ")"}], "^", 
                 RowBox[{"(", 
                  RowBox[{"psi", "-", "1"}], ")"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"delta", "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "alpha"}], ")"}]}], ")"}]}]}], ")"}]}], 
           "*", 
           RowBox[{"(", 
            RowBox[{"b", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", "delta"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "alpha"}], ")"}], "*", "nn"}], ")"}], "/", 
              "alpha"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"b", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "alpha"}], ")"}], "*", "nn"}], ")"}], "/",
                "alpha"}]}], ")"}], "^", "delta"}]}], "-", "epsilon"}], 
         "\[Equal]", "0"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"alpha", ",", "0.4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0.8"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"DD", ",", " ", "1.5"}], "}"}]}], "}"}]}], "]"}],
    FormatType->StandardForm]}]}]], "Input",ExpressionUUID->"aacb54f3-3644-\
46e7-8966-e939af49301b"]
},
WindowSize->{1520, 805},
WindowMargins->{{2024, Automatic}, {Automatic, 61}},
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 5664, 147, 466, "Input",ExpressionUUID->"aacb54f3-3644-46e7-8966-e939af49301b"]
}
]
*)

(* End of internal cache information *)

